#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kaddressbook/common
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kaddressbook/common
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    resourcetdeabc.h resourcetdeabcconfig.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/libkcal )


##### other data ################################

tde_create_translated_desktop(
  SOURCE tdeabc.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)


##### kcal_tdeabc (module) #######################

tde_add_kpart( kcal_tdeabc AUTOMOC
  SOURCES
    resourcetdeabc.cpp resourcetdeabcconfig.cpp
  LINK kabcommon-static tdepim-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
